<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<artifactId>sgad</artifactId>
	<packaging>pom</packaging>

	<parent>
		<groupId>br.puc-rio.tecgraf.csbase</groupId>
		<artifactId>csbase</artifactId>
		<version>3.4.1-RC7</version>
	</parent>

	<build>
		<plugins>
			<plugin>
				<artifactId>maven-assembly-plugin</artifactId>
				<version>2.5.5</version>
				<configuration>
					<descriptorRefs>
						<descriptorRef>project</descriptorRef>
					</descriptorRefs>
				</configuration>
				<executions>
					<execution>
						<id>make-assembly</id>
						<phase>package</phase>
						<goals>
							<goal>single</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-dependency-plugin</artifactId>
				<version>2.10</version>
				<executions>
					<execution>
						<!-- Copia as idls -->
						<phase>prepare-package</phase>
						<goals>
							<goal>unpack</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<artifactItems>
						<artifactItem>
							<groupId>${project.groupId}</groupId>
							<artifactId>csbase-sgaidl</artifactId>
							<version>${project.version}</version>
							<includes>**/*.idl</includes>
						</artifactItem>
					</artifactItems>
					<outputDirectory>${project.basedir}/idl</outputDirectory>
				</configuration>
			</plugin>
		</plugins>
	</build>

</project>